The specified Android android build tools

Posted under problems & solutions On By mohammed.mutawe

android build tools

This problem appears when opening old projects that need to be updated in the properties from the inside, and you can solve this problem by changing the Android Tools Version to match the updates.

 

Solution

In Android Studio environment, we do the following:

  • Go to Gradle scripts.
  • Choose build.radle.
  • At the top inside android function you will see compile sdk version , take it’s value and check build version tool and what suits it in android developers site.
  • Once you found compatible buildToolsVersion modify the value directly below it .

Example

android {
    compileSdkVersion 30
    buildToolsVersion '30.0.0'
    def Properties versionProps = new Properties()
    versionProps.load(new FileInputStream(file('version.properties')))
    lintOptions {
        abortOnError false
}